Lock envelope
This method locks the specified envelope and sets the time until the lock expires to prevent other users or recipients from changing the envelope.
The response to this request includes a lockToken parameter
that you must use in the X-DocuSign-Edit header for
every PUT method (typically a method that updates an envelope)
while the envelope is locked.
If you do not provide the lockToken when accessing
a locked envelope, you will get the following
error:
The X-DocuSign-Edit header
The X-DocuSign-Edit header looks like this
and can be specified in either JSON or XML.
JSON
XML
In the actual HTTP header, you would remove the linebreaks:
Related topics
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
Request
This endpoint expects an object: lockRequest
The configured value is not used; the timeout is hardcoded to 600 seconds. To use a different timeout, implement a custom timer and explicitly control locking and unlocking.
The type of lock. Currently edit is the only supported type.
The password for the template. If you are using a lock for a template that has a password or an envelope that is based on a template that has a password, you must enter the templatePassword to save the changes.
When true, a scratchpad is used to edit information.
Response
The number of seconds to lock the envelope for editing. This value must be greater than 0 seconds.
The human-readable name of the application that is locking the envelope or template. This value displays to the user in error messages when lock conflicts occur.
The type of lock. Currently edit is the only supported type.
When true, a scratchpad is used to edit information.